SORT(1)

NAVN
sort - sorter linjer i tekstfiler

SYNOPSIS
sort [FLAG]... [FIL]...
sort [FLAG]... --files0-from=F

BESKRIVELSE

Skriv det samlede, sorterede indhold af FILer til standard-ud.

Hvis ingen FIL er angivet, eller FIL er -, læses fra standard-ind.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte. Sorteringsflag:

-b, --ignore-leading-blanks
    ignorér indledende blanke tegn

-d, --dictionary-order
    tag kun blanke og alfanumeriske tegn i betragtning

-f, --ignore-case
    behandl små bogstaver som store bogstaver

-g, --general-numeric-sort
    sammenlign ifølge generel numerisk værdi

-i, --ignore-nonprinting
    tag kun synlige tegn i betragtning

-M, --month-sort
    sammenlign (ukendt) < 'JAN' < ... < 'DEC'

-h, --human-numeric-sort
    sammenlign tal på læsevenlig form (f.eks. 2K, 1G)

-n, --numeric-sort
    sammenlign ifølge numerisk værdi af strenge

-R, --random-sort
    bland, men behold ens nøgler sammen. Se shuf(1)

--random-source=FIL
    læs tilfældige byte fra FIL

-r, --reverse
    vend resultaterne af sammenligningerne om

--sort=ORD
    sortér ifølge ORD: general-numeric -g, human-numeric -h, month -M, numeric -n, random -R, version -V

-V, --version-sort
    naturlig sortering af (versions-)tal i tekst

Andre flag:

--batch-size=NFLET
    flet højst NFLET ind-elementer på en gang; brug midlertidige filer hvis utilstrækkeligt

-c, --check, --check=diagnose-first
    kontrollér sortering af data; sortér ikke

-C, --check=quiet, --check=silent
    som -c, men anfør ikke første fejllinje

--compress-program=PROG
    komprimér midlertidige filer med PROG; udpak dem med PROG -d

--debug
    skriv noter i delen af linjen der bruges til at sortere, og advar om tvivlsom brug i stderr

--files0-from=F
    læs inddata fra filerne angivet ved NUL-afsluttede navne i filen F; hvis F er -, så læs filnavne fra standard-ind

-k, --key=NØGLEDEF
    sortér efter nøgle; NØGLEDEF angiver placering og type

-m, --merge
    flet allerede sorterede filer; sortér ikke

-o, --output=FIL
    skriv resultat til FIL frem for standard-ud

-s, --stable
    stabilisér sortering ved deaktivering af sidste-udvejs-sammenligning

-S, --buffer-size=STØR
    brug størrelsen STØR for indre hukommelsesbuffer

-t, --field-separator=SEP
    brug SEP i stedet for ikke-mellemrum til mellemrums-overgang

-T, --temporary-directory=KAT
    brug KAT til mellemlagring, ikke $TMPDIR eller /tmp; flere flag angiver flere kataloger

--parallel=N
    begræns antallet af parallelt kørende sorteringer til N

-u, --unique
    med -c: tjek for streng ordning; uden -c: udskriv kun den første af en række ens

-z, --zero-terminated
    linjeadskiller er NUL frem for linjeskift

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

NØGLEDEF er F[.T][FLAG][,F[.T][FLAG]], for start- og slutposition, hvor F er et feltnummer og T en tegnposition i feltet. Begge starter ved 1, og slutpositionen er som standard afslutningen af linjen. Hvis hverken -t eller -b er valgt, vil tegn i et felt tælles fra begyndelsen af det foregående område af blanke tegn. FLAG er sat sammen af et eller flere enkeltbogstavs-flag [bdfgiMhnRrV], som tilsidesætter globale sorteringsflag for denne nøgle. Hvis ingen nøgle er angivet, bruges hele linjen som nøgle. Brug --debug til at fejlsøge forkert brug af nøgle.

SIZE may be followed by the following multiplicative suffixes: % 1% of memory, b 1, K 1024 (default), and so on for M, G, T, P, E, Z, Y, R, Q.

*** ADVARSEL *** Regionsdata angivet i miljøet påvirker sorteringsordenen. Sæt LC_ALL=C for at få den traditionelle sorteringsorden som benytter de interne byte-værdier.

FORFATTER
Skrevet af Mike Haertel og Paul Eggert.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
shuf(1), uniq(1)

Fuld dokumentation <https://www.gnu.org/software/coreutils/sort>
eller lokalt tilgængelig via: info '(coreutils) sort invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.